package MT::Plugin::InvalidateCodePress;
use strict;

use base qw( MT::Plugin );

require MT::Plugin;
require MT;

my $plugin = MT::Plugin::InvalidateCodePress->new({
    'name' => 'InvalidateCodePress',
    'author_name' => 'Yujiro Araki',
    'author_link' => 'http://www.koikikukan.com/',
    'description' => 'Invalidate CodePress.',
    'version' => '0.01',
});
MT->add_plugin($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        callbacks => {
            'MT::App::CMS::template_source.edit_template'
                => \&invalidate_codepress,
        },
   });
}

sub invalidate_codepress {
    my ($cb, $app, $template) = @_;
    $$template =~ s/editor="codepress"/editor="codepressoff"/;
}

1;
